<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if ($_GET['annoinformedesde']=="0" || !isset($_SESSION['fechainformedesde'])) {
	$_SESSION['fechainformedesde']=date('Y-m-d');
} else {
	if ($_GET['annoinformedesde']<>""){
		$_SESSION['fechainformedesde']=$_GET['annoinformedesde'].'-'.$_GET['mesinformedesde'].'-'.$_GET['diainformedesde'];
	}
}
if ($_GET['annoinformehasta']=="0" || !isset($_SESSION['fechainformehasta'])) {
	$_SESSION['fechainformehasta']=date('Y-m-d');
} else {
	if ($_GET['annoinformehasta']<>""){
		$_SESSION['fechainformehasta']=$_GET['annoinformehasta'].'-'.$_GET['mesinformehasta'].'-'.$_GET['diainformehasta'];
	}
}
$annoinformedesde=substr($_SESSION['fechainformedesde'],0,4);
$mesinformedesde=substr($_SESSION['fechainformedesde'],5,2);
$diainformedesde=substr($_SESSION['fechainformedesde'],8,2);
$fechainformedesde=$annoinformedesde.'-'.$mesinformedesde.'-'.$diainformedesde;
$annoinformehasta=substr($_SESSION['fechainformehasta'],0,4);
$mesinformehasta=substr($_SESSION['fechainformehasta'],5,2);
$diainformehasta=substr($_SESSION['fechainformehasta'],8,2);
$fechainformehasta=$annoinformehasta.'-'.$mesinformehasta.'-'.$diainformehasta;

if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idproducto']) AND ($_GET['Idproducto']<>'')) {
	if (isset($_GET['campo']) AND ($_GET['campo']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		//$updt=$mysqli->query('UPDATE productos SET '.$_GET['campo'].'="'.$_GET['value'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
		$informacion='Dato del producto '.$_GET['codigo'].' ha sido actualizado';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(Idproducto,codigo,name,campo,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='tablas-productos.php?modifica=si&Idproducto='+Idproducto+'&codigo='+codigo+'&campo='+campo+'&value='+newvalue;
	} else {return;}
}
function modificarstock(Idproducto,codigo,name,stockactual) {
	if (stocknuevo=prompt('Por favor ingresa el stock actual de este producto',stockactual)) {
		grabando();
		location.href='funcionesphp/corrijestock.php?Idproducto='+Idproducto+'&stockactual='+stockactual+'&stocknuevo='+stocknuevo;
	} else {return;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function eliminarproducto(Idproducto) {
	cargando();
	ajax=objetoAjax();
   	ajax.open("POST","ajax/buscarcomandaporproducto.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
				if (ajax.responseText=='si') { //Si existen comandas abiertas
					alert ('Hay comandas abiertas con este producto, no se puede eliminar.');
					document.getElementById('cargando').style.display='none';
					return;
				}
				if (ajax.responseText=='no') { //Si existen comandas abiertas
					if (confirm('Estas seguro de eliminar este producto y su receta?')) {
						location.href="funcionesphp/eliminarproducto.php?e=e&Idproducto="+Idproducto;
						return;
					}
					document.getElementById('cargando').style.display='none';
					return;
				}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idproducto="+Idproducto);
}
</script>
<body>
<div class="div_cubierto" id="cubierto"></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="bold">Informe de ingresos y gastos desde <?php echo afecha($fechainformedesde).' hasta '.afecha($fechainformehasta); ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>
<div class="centrar_tabla">
<form action="informe-gastos.php" method="get" name="filtrarcliente">
<span class="tips">Se muestran los ingresos y gastos desde <input type="text" name="diainformedesde" value="<?php echo $diainformedesde; ?>" class="superangosto"> / <input type="text" name="mesinformedesde" value="<?php echo $mesinformedesde; ?>" class="superangosto"> / <input type="text" name="annoinformedesde" value="<?php echo $annoinformedesde; ?>" class="angosto"> hasta  <input type="text" name="diainformehasta" value="<?php echo $diainformehasta; ?>" class="superangosto"> / <input type="text" name="mesinformehasta" value="<?php echo $mesinformehasta; ?>" class="superangosto"> / <input type="text" name="annoinformehasta" value="<?php echo $annoinformehasta; ?>" class="angosto"> <a href="#" onclick="cargando(); forms.filtrarcliente.submit();"><img src="iconos/buscar16.png" /></a></span><br />
</form>
	<table>
    <thead>
	   	<tr>
        	<th>Descripcion</th>
<?php
$sucursales=$mysqli->query('SELECT * FROM sucursales WHERE Idsucursal<>"1" ORDER BY Idsucursal ASC');
$row_sucursales=$sucursales->fetch_array();
$lista_sucursales=array();
$acumuladototal=0;
$ingresoacumuladototal=0;
do {
?>
			<th><?php echo $row_sucursales['descripcion']; ?></th>
<?php
			array_push($lista_sucursales,$row_sucursales['Idsucursal']);
			$acumulado[$row_sucursales['Idsucursal']]=0;
			$ingresoacumulado[$row_sucursales['Idsucursal']]=0;
} while ($row_sucursales=$sucursales->fetch_array());

?>
            <th>Total</th>
        </tr>
     </thead>
     <tbody>
        <tr style="border-top:1px solid #999; font-weight:bold">
        	<td>Ingresos</td>
<?php
$totaldescuentos='0';
foreach ($lista_sucursales as $sucursal) {
?>
			<td></td>
<?php
}
	$acumuladototal+=$totaldescuentos;
?>
            <td style="border-left:2px solid #999; font-weight:bold"></td>
        </tr>
        <tr style="border-top:1px solid #999">
        	<td>efectivo</td>
<?php
$totalefectivo='0';
foreach ($lista_sucursales as $sucursal) {
	$ingreso=$mysqli->query('SELECT sum(valoringreso) as total FROM sucursales_ingresos WHERE tipoingreso="efectivo" AND Idsucursal="'.$sucursal.'" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_ingreso=$ingreso->fetch_array();
	$totalefectivo+=$row_ingreso['total'];
	$ingresoacumulado[$sucursal]+=$row_ingreso['total'];
?>
			<td><?php echo '$ '.apesos($row_ingreso['total']); ?></td>
<?php
}
	$ingresoacumuladototal+=$totalefectivo;
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($totalefectivo); ?></td>
        </tr>
        <tr style="border-top:1px solid #999">
        	<td>transbank</td>
<?php
$totaltransbank='0';
foreach ($lista_sucursales as $sucursal) {
	$ingreso=$mysqli->query('SELECT sum(valoringreso) as total FROM sucursales_ingresos WHERE tipoingreso="transbank" AND Idsucursal="'.$sucursal.'" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_ingreso=$ingreso->fetch_array();
	$totaltransbank+=$row_ingreso['total'];
	$ingresoacumulado[$sucursal]+=$row_ingreso['total'];
?>
			<td><?php echo '$ '.apesos($row_ingreso['total']); ?></td>
<?php
}
	$ingresoacumuladototal+=$totaltransbank;
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($totaltransbank); ?></td>
        </tr>
        <tr style="border-top:1px solid #999">
        	<td>cheques</td>
<?php
$totalcheques='0';
foreach ($lista_sucursales as $sucursal) {
	$ingreso=$mysqli->query('SELECT sum(valoringreso) as total FROM sucursales_ingresos WHERE tipoingreso="cheques" AND Idsucursal="'.$sucursal.'" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_ingreso=$ingreso->fetch_array();
	$totalcheques+=$row_ingreso['total'];
	$ingresoacumulado[$sucursal]+=$row_ingreso['total'];
?>
			<td><?php echo '$ '.apesos($row_ingreso['total']); ?></td>
<?php
}
	$ingresoacumuladototal+=$totalcheques;
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($totalcheques); ?></td>
        </tr>
        
        <tr style="border-top:2px solid #999; font-weight:bold">
        	<td>Suma de ingresos</td>
<?php
foreach ($lista_sucursales as $sucursal) {
?>
			<td><?php echo '$ '.apesos($ingresoacumulado[$sucursal]); ?></td>
<?php
}
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($ingresoacumuladototal); ?></td>
        </tr>
<!-- GASTOS!!! encabezado-->
        <tr style="border-top:2px solid #999; font-weight:bold">
        	<td>Gastos</td>
<?php
foreach ($lista_sucursales as $sucursal) {
?>
			<td></td>
<?php
}
?>
            <td style="border-left:2px solid #999; font-weight:bold"></td>
        </tr>
<?php 
$tg=$mysqli->query('SELECT descripcion FROM tiposdegasto ORDER BY descripcion ASC');
$rtg=$tg->fetch_array();
$total=array();
do {
?>        
        <tr style="border-top:1px solid #999">
        	<td><?php echo $rtg['descripcion']; ?></td>
<?php
$total['descripcion']='0';
foreach ($lista_sucursales as $sucursal) {
	$gasto=$mysqli->query('SELECT sum(valortotal) as total FROM gastos WHERE descripcion="'.$rtg['descripcion'].'" AND Idsucursal="'.$sucursal.'" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_gasto=$gasto->fetch_array();
	$total['descripcion']+=$row_gasto['total'];
	$acumulado[$sucursal]+=$row_gasto['total'];
?>
			<td><?php echo '$ '.apesos($row_gasto['total']); ?></td>
<?php
}
	$acumuladototal+=$total['descripcion'];
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($total['descripcion']); ?></td>
        </tr>
<?php
} while ($rtg=$tg->fetch_array());
?>

        <tr style="border-top:1px solid #999">
        	<td>Sueldos</td>
<?php
$totalsueldos='0';
foreach ($lista_sucursales as $sucursal) {
	$gasto=$mysqli->query('SELECT sum(valortotal) as total FROM sueldos WHERE Idsucursal="'.$sucursal.'" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_gasto=$gasto->fetch_array();
	$totalsueldos+=$row_gasto['total'];
	$acumulado[$sucursal]+=$row_gasto['total'];
?>
			<td><?php echo '$ '.apesos($row_gasto['total']); ?></td>
<?php
}
	$acumuladototal+=$totalsueldos;
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($totalsueldos); ?></td>
        </tr>
        <tr style="border-top:1px solid #999">
        	<td>Mermas</td>
<?php
$totalmermas='0';
foreach ($lista_sucursales as $sucursal) {
	$gasto=$mysqli->query('SELECT sum(cantidad*valorunitario) as total FROM mermas WHERE Idsucursal="'.$sucursal.'" AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'"');
	$row_gasto=$gasto->fetch_array();
	$totalmermas+=$row_gasto['total'];
	$acumulado[$sucursal]+=$row_gasto['total'];
?>
			<td><?php echo '$ '.apesos($row_gasto['total']); ?></td>
<?php
}
	$acumuladototal+=$totalmermas;
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($totalmermas); ?></td>
        </tr>
        <tr style="border-top:2px solid #999; font-weight:bold">
        	<td>Suma de gastos</td>
<?php
foreach ($lista_sucursales as $sucursal) {
?>
			<td><?php echo '$ '.apesos($acumulado[$sucursal]); ?></td>
<?php
}
?>
            <td style="border-left:2px solid #999; font-weight:bold"><?php echo '$ '.apesos($acumuladototal); ?></td>
        </tr>
<?php
if ($despachos) {
    $despachos->free();
}
if ($sucursales) {
    $sucursales->free();
}
if ($productos) {
    $productos->free();
}
if ($valores) {
    $valores->free();
}
if ($categoria) {
    $categoria->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>